Download it now!
Bug 91818 - UI: Start Centre Recent Files allows mouse wheel scroll when there is no scroll bar
Summary: UI: Start Centre Recent Files allows mouse wheel scroll when there is no scr...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.3.2 release
Hardware: x86-64 (AMD64) Windows (All)
: low normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Start-Center Scrollbars
  Show dependency treegraph
 
Reported: 2015-06-02 16:53 UTC by Gordo
Modified: 2019-11-08 03:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gordo 2015-06-02 16:53:17 UTC
When there is a second row of recent files thumbnails then the first row can be scrolled up by scrolling the mouse wheel down.  The file names are still visible.

If there is just one row then scrolling the mouse wheel causes flickering.

My windows size allowed three thumbnails on a row and room for three rows (3 x 3).

Windows Vista 64
Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16

Version: 5.1.0.0.alpha1+
Build ID: cba920edf88bef06a6689e7847c5789dd3ee67b7
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-01_04:22:29
Comment 1 V Stuart Foote 2015-06-02 18:53:02 UTC
The canvas holding the thumbnail view responds to mouse wheel actions.  The canvas is oversize to its frame.

As separate action, scroll bar widgets for the frame activate when less than 100% of thumbnail tiles fit the frame.
Comment 2 QA Administrators 2016-09-20 10:02:08 UTC Comment hidden (obsolete)
Comment 3 Roman Kuznetsov 2018-11-07 06:28:56 UTC
still repro in 

Version: 6.2.0.0.alpha1+
Build ID: 6896f39ffd8a6c4b32b8f601a6a93678247456bd
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-11-05_22:40:18
Locale: ru-RU (ru_RU); Calc: threaded
Comment 4 QA Administrators 2019-11-08 03:38:32 UTC
Dear Gordo,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug